#ifndef BAG_H
#define BAG_H

#include "Ball.h"

class Bag
{
public:
    Bag(Ball::Colors color1, Ball::Colors color2);
    ~Bag();
    Ball *getABall(); // release ownership
    void putABallBack(Ball *ball);
private:
    Ball *m_balls[2];
    int m_numberOfBalls;
};

#endif